routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

Route::get('/', function () {
	$listCompany = App\company::all();
	return view('welcome', ['listCompany ' => $listCompany]);
});

Auth::routes();

Route::get('/home', function () {
	$listCompany = App\company::all();
	$listSucursales = App\branch_office::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('home', ['listCompany' => $listCompany,
		'listSucursales' => $listSucursales,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
		'message' => '',
	]);
})->middleware(['auth']);

//eventList

Route::resource('clients', 'ClientsController')->middleware(['auth']);
Route::resource('sucursales', 'SucursalesController')->middleware(['auth']);
Route::resource('company', 'CompanyController')->middleware(['auth']);
Route::resource('branchOffice', 'BranchOfficeController')->middleware(['auth']);
Route::resource('failedJobs', 'FailedJobsController')->middleware(['auth']);
Route::resource('files', 'FilesController')->middleware(['auth']);
Route::resource('status', 'StatusController')->middleware(['auth']);
Route::resource('task', 'TaskController')->middleware(['auth']);
Route::resource('typeUser', 'TypeUserController')->middleware(['auth']);
Route::resource('visitDetail', 'VisitDetailController')->middleware(['auth']);
Route::resource('visitsPlanning', 'VisitsPlaningController')->middleware(['auth']);
Route::get('/aprobador', 'visitasController@aprobador')->name('aprobador')->middleware(['auth']);
Route::DELETE('/aprobadordestroy/{id}', 'visitasController@borrarVisita')->name('aprobadorborrar')->middleware(['auth']);
Route::get('/siaprobador/{id}', 'visitasController@aprobarVisita')->name('siaprobador')->middleware(['auth']);

//route company form
Route::get('/company', function () {
	$listCompany = App\company::all();
	$list = App\company::all();
	$listStatus = App\statuscompany::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/company/index', [
		'list' => $list,
		'listStatus' => $listStatus,
		'listCompany' => $listCompany,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('companyIndex');

Route::post('/company.store', function (Request $request) {
	$company = new App\company;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$rut = $_POST['rut'];
	$telefono = $_POST['telefono'];
	$direccion = $_POST['direccion'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($rut < 1) {
		$error = 1;
	}

	if ($telefono < 1) {
		$error = 1;
	}

	if (strlen($direccion) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$company->name = $nombre;
		$company->status = $estado;
		$company->rut = $rut;
		$company->address = $direccion;
		$company->phone = $telefono;
		$company->save();

		return response()->json([
			'message' => 'Empresa registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Empresa no pudo ser registrada',
		]);
	}
});

Route::post('/sucursales.store', function (Request $request) {
	$sucursal = new App\sucursales;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$rut = $_POST['rut'];
	$telefono = $_POST['telefono'];
	$direccion = $_POST['direccion'];
	$empresa = $_POST['empresa'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($rut < 1) {
		$error = 1;
	}

	if ($telefono < 1) {
		$error = 1;
	}

	if (strlen($direccion) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$sucursal->name = $nombre;
		$sucursal->status = $estado;
		$sucursal->rut = $rut;
		$sucursal->address = $direccion;
		$sucursal->phone = $telefono;
		$sucursal->company_id = $empresa;
		$sucursal->save();

		return response()->json([
			'message' => 'Sucursal registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Sucursal no pudo ser registrada',
		]);
	}
});

Route::post('/clients.store', function (Request $request) {
	$usuario = new App\User;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$email = $_POST['email'];

	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if (strlen($email) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$usuario->name = $nombre;
		$usuario->status = $estado;
		$usuario->email = $email;
		$usuario->password = '$2y$10$7Bd9ehSpuSC3tJkOOIqsXuQWkedD978mjG.nXokW./RqlndU/URTC';

		$usuario->save();

		return response()->json([
			'message' => 'Usuario registrado con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Usuario no pudo ser registrado',
		]);
	}
});

Route::get('/task.destroy/{id}', 'TaskController@borrarTareaDay')->name('taskDelete');

Route::post('/task.store', function (Request $request) {
	$task = new App\task;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($error == 0) {
		$task->name = $nombre;
		$task->status = $estado;
		$task->save();

		return response()->json([
			'message' => 'Tarea registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Tarea no pudo ser registrada',
		]);
	}
});

Route::get('sucursalesByCompany/{id}', 'BranchOfficeController@byCompany');

Route::get('tareaNueva/{name}', 'TaskController@nueva');

Route::get('tareaBorrar/{name}', 'TaskController@borrar');

Route::get('/tareaBorrarSucursal/{name}', 'TaskController@borrarSucursal');

Route::post('/taskNueva.store', function (Request $request) {
	$taskday = new App\task_day;
	$id = $_POST['tareaNueva'];

	return response()->json([
		'message' => 'Tarea insertada con exito',
	]);
});

Route::get('sucursalNueva/{id}', 'VisitsPlaningController@nueva');

//route client form
//Route::get('/client', function () {
//	return View('system/client/index');
//})->middleware(['auth'])->name('clientIndex');

//route task form
Route::get('/task', function () {
	$listCompany = App\company::all();
	$list = App\company::all();
	$listStatus = App\statuscompany::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/task/index', [
		'list' => $list,
		'listStatus' => $listStatus,
		'listCompany' => $listCompany,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('taskIndex');

Route::get('/event', function () {
	return View('system/event/index');
})->middleware(['auth'])->name('eventIndex');

Route::get('/visitas', 'visitasController@index')->middleware(['auth'])->name('visitsIndex');
Route::post('/visitas', 'visitasController@show')->middleware(['auth']);

Route::get('/visitas/list', function () {
	$listCompany = App\company::all();
	$listSucursales = App\branch_office::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/visits/list', [
		'listCompany' => $listCompany,
		'listSucursales' => $listSucursales,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('eventList');

app/clients.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class clients extends Model
{
    protected $table = 'clients';
}

app/Http/Controllers/ClientsController.php
<?php

namespace App\Http\Controllers;

use App\clients;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use App\statuscompany;

class ClientsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $listUsers = User::all();
        $listStatus = statuscompany::all();
        return view('system.client.index', ['listUsers' => $listUsers, 'listStatus' => $listStatus]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('system.client.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $requet = $request->all();

        $clients = new clients;
        $clients->rut = $request->rut;
        $clients->name = $request->name;
        $clients->progress = 1;
        $clients->company = 1;
        $clients->city = 1;
        $clients->save();

        return redirect()->route('client.index')->with('success','Empresa registrada con éxito');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\clients  $clients
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request, clients $clients)
    {
        $idUser = $request->route()->client;
        $listStatus = statuscompany::all();
        $usuario = User::where('id', '=', $idUser)->first();
        $listUsers = User::all();

        return view('system.client.show', [
            'usuario' => $usuario,
            'listStatus' => $listStatus
            ]);
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\clients  $clients
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request, clients $clients)
    {
        $idUser = $request->route()->client;
        $listStatus = statuscompany::all();
        $usuario = User::where('id', '=', $idUser)->first();

        return view('system.client.edit',(['usuario' => $usuario, 'listStatus' => $listStatus]));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\clients  $clients
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, clients $clients)
    {
        $requet = $request->all();
        $numCompany = User::where('id', '=', $request->id)->count();        

        if($numCompany >=1){
            $client = User::where('id', '=', $request->id)->first();
            $client->name = $request->nombre;
            $client->email = $request->email;
            $client->status = $request->estado;
            $client->save();
         }
         

        return redirect()->route('clients.index')->with('success','Usuario editado con éxito');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\clients  $clients
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, clients $clients)
    {
        $idUser = $request->route()->client;
        $usuario = User::find($idUser);        
        $usuario->delete();
        return redirect()->route('clients.index')->with('success','Usuario borrado con éxito');
    }
}

resources/views/system/client/create.blade.php
@extends('layouts.app')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <h2 class="text-center">Agregar Clientes</h2>
        </div>
        <div class="col-lg-12 text-center" style="margin-top:10px;margin-bottom: 10px;">
            <a class="btn btn-primary" href="{{ route('clients.index') }}"> Atras </a>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Oops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('clients.store') }}" method="POST">
        @csrf

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Rut:</strong>
                    <input type="text" name="rut" class="form-control" placeholder="Ingrese el rut del cliente">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nombre:</strong>
                    <input type="text" name="name" class="form-control" placeholder="Ingresa el nombre del cliente">
                </div>
            </div>
            
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Agregar</button>
            </div>
        </div>

    </form>
@endsection

resources/views/system/client/edit.blade.php
@extends('layouts.systema')



@section('content')

  @include('menus.locate_header',['some' => 'Usuario','location'=>'Home/Usuario'])

  <div class="row">
        <div class="col-lg-12">
            <h2 class="text-center">Editar Tarea</h2>
        </div>
        <div class="col-lg-12 text-center" style="margin-top:10px;margin-bottom: 10px;">
            <a class="btn btn-primary" href="{{ route('clients.index') }}"> Back </a>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('clients.update',$usuario->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Nombre:</strong>
                            <input type="text" name="nombre" value="{{ $usuario->name }}" class="form-control" placeholder="Nombre">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Email:</strong>
                            <input type="text" name="email" value="{{ $usuario->email }}" class="form-control" placeholder="Email">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Estatus:</strong>
                            <select class="browser-default custom-select" name="estado" id="estado">
                                <option selected>Seleccione un Estado ...</option>
                                @foreach ($listStatus as $Status)
                                    <option value="{{$Status->id}}" {{ $Status->id == $usuario->status? 'selected' : '' }}>{{ $Status->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="{{ $usuario->id }}" class="form-control">
                </div>
            </div>

            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary"> Actualizar </button>
            </div><br><br><br>
        </div>

    </form>



@endsection

@section('jsInclude')
 <script src="{{asset('lib/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('lib/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('lib/ionicons/ionicons.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.pie.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.resize.js')}}"></script>
    <script src="{{asset('lib/chart.js/Chart.bundle.min.js')}}"></script>

    <script src="{{asset('js/azia.js')}}"></script>
<script>

      $(function(){
        'use strict'

        $('.az-sidebar .with-sub').on('click', function(e){
          e.preventDefault();
          $(this).parent().toggleClass('show');
          $(this).parent().siblings().removeClass('show');
        })

        $(document).on('click touchstart', function(e){
          e.stopPropagation();

          // closing of sidebar menu when clicking outside of it
          if(!$(e.target).closest('.az-header-menu-icon').length) {
            var sidebarTarg = $(e.target).closest('.az-sidebar').length;
            if(!sidebarTarg) {
              $('body').removeClass('az-sidebar-show');
            }
          }
        });


        $('#azSidebarToggle').on('click', function(e){
          e.preventDefault();

          if(window.matchMedia('(min-width: 992px)').matches) {
            $('.az-sidebar').toggle();
          } else {
            $('body').toggleClass('az-sidebar-show');
          }
        })
      })

</script>
@endsection

resources/views/system/client/index.blade.php
@extends('layouts.systema')



@section('content')

  @include('menus.locate_header',['some' => 'Usuario','location'=>'Home/Usuario'])

  <!-- <company></company> -->

  <hr>
<div class="row">
    <div class="col-lg-12">
        <h2 class="text-center">Listado de Usuarios</h2>
    </div>
    <div class="col-lg-12 text-center" style="margin-top:10px;margin-bottom: 10px;">
        <a href="#" class="btn btn-success pull-right" data-toggle="modal" data-target="#createUsuario">
            Agregar Usuario
        </a><br><br>
    </div>
</div>

<div class="modal fade" id="createUsuario">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span>×</span>
                </button>
                <h4>Agregar Usuario</h4>
            </div>
            <div class="modal-body">
              <form action="{{ route('sucursales.store') }}" method="POST">
                @csrf

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Nombre:</strong>
                            <input type="text" name="nombre" class="form-control" placeholder="Ingrese el nombre del usuario">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Email:</strong>
                            <input type="text" name="email" class="form-control" placeholder="Ingrese el email del usuario">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Estatus:</strong>
                            <select class="browser-default custom-select" name="estado" id="estado">
                                <option selected>Seleccione un Estado ...</option>
                                @foreach ($listStatus as $Status)
                                    <option value="{{$Status->id}}">{{ $Status->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                </div>

            </form>
            </div>
            <div class="modal-footer">
                <input type="submit" class="btn btn-success btn-submit" value="Guardar">
            </div>
        </div>
    </div>
</div>

<table class="table table-bordered">
    <tr>
        <th>No</th>
        <th>Nombre</th>
        <th>Estado</th>
        <th>Email</th>
        <th width="280px">Opciones</th>
    </tr>
    @foreach ($listUsers as $usuario)
        <tr>
            <td>{{ $usuario->id }}</td>
            <td>{{ $usuario->name }}</td>
            <td>
                <select class="browser-default custom-select" name="estado" id="estado">
                    <option selected>Seleccione un Estado ...</option>
                    @foreach ($listStatus as $Status)
                        <option value="{{$Status->id}}" {{ $Status->id == $usuario->status? 'selected' : '' }}>{{ $Status->name }}</option>
                    @endforeach
                </select>
            </td>
            <td>{{ $usuario->email }}</td>
            <td>
                <form action="{{ route('clients.destroy',$usuario->id) }}" method="POST">

                    <a class="btn btn-info" href="{{ route('clients.show',$usuario->id) }}">Ver</a>
                    <a class="btn btn-primary" href="{{ route('clients.edit',$usuario->id) }}">Editar</a>

                    @csrf
                    @method('DELETE')

                    <button type="submit" class="btn btn-danger">Borrar</button>
                </form>
            </td>
        </tr>
    @endforeach
</table>


@endsection

@section('jsInclude')
 <script src="{{asset('lib/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('lib/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('lib/ionicons/ionicons.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.pie.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.resize.js')}}"></script>
    <script src="{{asset('lib/chart.js/Chart.bundle.min.js')}}"></script>

    <script src="{{asset('js/azia.js')}}"></script>

<script>

      $(function(){
        'use strict'

        $('.az-sidebar .with-sub').on('click', function(e){
          e.preventDefault();
          $(this).parent().toggleClass('show');
          $(this).parent().siblings().removeClass('show');
        })

        $(document).on('click touchstart', function(e){
          e.stopPropagation();

          // closing of sidebar menu when clicking outside of it
          if(!$(e.target).closest('.az-header-menu-icon').length) {
            var sidebarTarg = $(e.target).closest('.az-sidebar').length;
            if(!sidebarTarg) {
              $('body').removeClass('az-sidebar-show');
            }
          }
        });

        $.ajaxSetup({
          headers: {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }
        });

        $(".btn-submit").click(function(e){
          e.preventDefault();
          var nombre = $("input[name=nombre]").val();
          var token = $('meta[name="csrf-token"]').attr('content')
          var estado = $('#estado').val();
          var email = $("input[name=email]").val();

          $.ajax({
            type:'POST',
            url:'/clients.store',
            data:{token:token, nombre:nombre, estado:estado, email:email},
            success:function(data){
              console.log(data);
              alert(data.message);
              window.location.href = "clients";
            }
            });
        });

        $('#azSidebarToggle').on('click', function(e){
          e.preventDefault();

          if(window.matchMedia('(min-width: 992px)').matches) {
            $('.az-sidebar').toggle();
          } else {
            $('body').toggleClass('az-sidebar-show');
          }
        })
      });

</script>
@endsection

resources/views/system/client/show.blade.php
@extends('layouts.systema')



@section('content')

  @include('menus.locate_header',['some' => 'Companys','location'=>'Home/Companys'])

  <div class="row">
    <div class="col-lg-12">
        <h2 class="text-center">Ver Usuario</h2>
    </div>
    <div class="col-lg-12 text-center" style="margin-top:10px;margin-bottom: 10px;">
        <a class="btn btn-primary" href="{{ route('clients.index') }}"> Atras </a>
    </div>
</div>

    <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Nombre:</strong>
                            <input type="text" name="nombre" value="{{ $usuario->name }}" class="form-control" placeholder="Nombre">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Email:</strong>
                            <input type="text" name="rut" value="{{ $usuario->email }}" class="form-control" placeholder="Rut">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Estatus:</strong>
                            <select class="browser-default custom-select" name="estado" id="estado">
                                <option selected>Seleccione un Estado ...</option>
                                @foreach ($listStatus as $Status)
                                    <option value="{{$Status->id}}" {{ $Status->id == $usuario->status? 'selected' : '' }}>{{ $Status->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="{{ $usuario->id }}" class="form-control">
                </div>
            </div>
            <br><br><br>
        </div>


@endsection

@section('jsInclude')
 <script src="{{asset('lib/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('lib/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('lib/ionicons/ionicons.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.pie.js')}}"></script>
    <script src="{{asset('lib/jquery.flot/jquery.flot.resize.js')}}"></script>
    <script src="{{asset('lib/chart.js/Chart.bundle.min.js')}}"></script>

    <script src="{{asset('js/azia.js')}}"></script>
<script>

      $(function(){
        'use strict'

        $('.az-sidebar .with-sub').on('click', function(e){
          e.preventDefault();
          $(this).parent().toggleClass('show');
          $(this).parent().siblings().removeClass('show');
        })

        $(document).on('click touchstart', function(e){
          e.stopPropagation();

          // closing of sidebar menu when clicking outside of it
          if(!$(e.target).closest('.az-header-menu-icon').length) {
            var sidebarTarg = $(e.target).closest('.az-sidebar').length;
            if(!sidebarTarg) {
              $('body').removeClass('az-sidebar-show');
            }
          }
        });


        $('#azSidebarToggle').on('click', function(e){
          e.preventDefault();

          if(window.matchMedia('(min-width: 992px)').matches) {
            $('.az-sidebar').toggle();
          } else {
            $('body').toggleClass('az-sidebar-show');
          }
        })
      })

</script>
@endsection